.mega {
    color: var(--light);
    padding-top: rem(60);
    padding-bottom: rem(60);
    background: var(--dark);

    &__header {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        margin-bottom: rem(24);
        column-gap: rem(20);
        row-gap: rem(20);
    }

    &__title {
        font-size: rem(24);
        line-height: rem(24);
    }

    &__logo {
        flex-shrink: 0;
        width: rem(96);
    }

    &__services {
        padding-top: 1px;
        position: relative;
        font-size: rem(18);
        line-height: 110%;
        margin-bottom: rem(38);
        display: grid;
        grid-template-columns: 1fr;

        &:before {
            top: 0;
            left: -3000px;
            right: -3000px;
            content: '';
            height: 1px;
            position: absolute;
            background: #514E4E;
        }
    }

    &__service {
        padding: rem(10) 0;
        border-bottom: 1px solid #514E4E;
    }

    &__media {
        margin-bottom: rem(40);
    }

    &__lead {
        font-size: rem(24);
        line-height: rem(24);
        margin-bottom: rem(40);
        letter-spacing: calc(-1em / 30);

        br {
            display: none;
        }
    }

    &__main {
        font-size: rem(16);
        line-height: 110%;
    }

    &__group {
        display: flex;
        flex-direction: column;
        row-gap: rem(18);

        &:first-child {
            margin-bottom: rem(36);
        }
    }

    &__label {
        font-size: rem(16);
        color: var(--gray);
    }

    &__content {

    }

    &__item {
        padding: rem(12) 0;
        border-bottom: 1px solid #514E4E;

        &:first-child {
            border-top: 1px solid #514E4E;
        }
    }

    &__partners {
        font-size: 0;
        line-height: 0;
        display: flex;
        align-items: center;
        flex-wrap: wrap;
        column-gap: rem(24);
        row-gap: rem(14);
    }

    &__partner {
        height: rem(40);
        display: inline-block;
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(100);
        padding-bottom: rem(80);

        &__header {
            margin-bottom: rem(60);
            align-items: center;
            justify-content: space-between;
            flex-direction: row-reverse;
        }

        &__title {
            font-size: rem(36);
            line-height: rem(36);
        }

        &__logo {
            width: rem(120);
        }

        &__services {
            margin-bottom: rem(60);
            grid-template-columns: 1fr 1fr;
        }

        &__service {
            display: flex;
            align-items: center;
            padding-right: rem(20);
        }

        &__media {
            margin-bottom: rem(64);
        }

        &__main {
            font-size: rem(18);
            line-height: 110%;
        }

        &__label {
            font-size: rem(18);
            line-height: 110%;
        }

        &__item {
            padding: rem(16) 0;
            display: flex;
            align-items: center;
        }

        &__group {
            display: flex;
            flex-direction: column;
            row-gap: rem(24);

            &:first-child {
                margin-bottom: rem(50);
            }
        }

        &__partners {
            row-gap: rem(30);
            column-gap: rem(30);
        }

        &__partner {
            height: rem(48);
        }
    }

    @include media-breakpoint-up(lg) {

        &__lead {
            font-size: rem(32);
            line-height: rem(32);
            margin-bottom: rem(64);

            br {
                display: block;
            }
        }
    }

    @include media-breakpoint-up(xl) {
        padding-top: rem(146);
        padding-bottom: rem(98);

        &__header {
            margin-bottom: rem(80);
        }

        &__title {
            font-size: rem(50);
            line-height: rem(50);
            letter-spacing: -2px;
        }

        &__logo {
            width: rem(193);
        }

        &__services {
            font-size: rem(30);
            line-height: 110%;
            margin-bottom: rem(80);
        }

        &__service {
            padding: rem(26) rem(30) rem(26) 0;
        }

        &__media {
            margin-bottom: rem(96);
        }

        &__lead {
            font-size: rem(40);
            line-height: rem(40);
            margin-bottom: rem(96);

            br {
                display: none;
            }
        }

        &__group {
            flex-direction: row;

            &:first-child {
                margin-bottom: rem(78);

                .mega__label {
                    padding-top: rem(25);
                }
            }
        }

        &__label {
            width: rem(330);
            flex-shrink: 0;
            font-size: rem(22);
            line-height: 110%;
            padding-top: rem(16);
        }

        &__main {
            font-size: rem(22);
            line-height: 110%;
            position: relative;
            padding-top: rem(16);

            &:before {
                top: 0;
                left: -3000px;
                right: -3000px;
                content: '';
                height: 1px;
                position: absolute;
                background: #514E4E;
            }
        }

        &__item {
            min-height: rem(80);
            padding: rem(15) 0;

            &:first-child {
                border-top: none;
            }
        }

        &__wrap {
            max-width: rem(1000);
        }

        &__partners {
            row-gap: rem(32);
            column-gap: rem(60);
        }

        &__partner {
            height: rem(60);
        }
    }

    @include media-breakpoint-up(xxl) {

        &__lead {

            br {
                display: block;
            }
        }
    }
}
